Bridgly SDK
import { Bridgly } from '@bridgly/sdk';
const client = new Bridgly({ apiKey: process.env.BRIDGLY_API_KEY });
const res = await client.linkedin.getProfileExperience({
publicId: "string",
count: 10,
});
if (res.type === 'success') console.log(res.data);curl --request POST \
--url https://api.bridgly.app/linkedin/get-profile-experience \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"publicId": "<string>",
"start": 4503599627370495,
"count": 10
}
'import requests
url = "https://api.bridgly.app/linkedin/get-profile-experience"
payload = {
"publicId": "<string>",
"start": 4503599627370495,
"count": 10
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({publicId: '<string>', start: 4503599627370495, count: 10})
};
fetch('https://api.bridgly.app/linkedin/get-profile-experience', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridgly.app/linkedin/get-profile-experience",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'publicId' => '<string>',
'start' => 4503599627370495,
'count' => 10
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bridgly.app/linkedin/get-profile-experience"
payload := strings.NewReader("{\n \"publicId\": \"<string>\",\n \"start\": 4503599627370495,\n \"count\": 10\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.bridgly.app/linkedin/get-profile-experience")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"publicId\": \"<string>\",\n \"start\": 4503599627370495,\n \"count\": 10\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridgly.app/linkedin/get-profile-experience")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"publicId\": \"<string>\",\n \"start\": 4503599627370495,\n \"count\": 10\n}"
response = http.request(request)
puts response.read_body{
"timeMs": 123,
"creditsCost": 123,
"data": {
"nextStart": 123,
"experience": [
{
"title": "<string>",
"company": "<string>",
"companyId": "<string>",
"companyUrl": "<string>",
"companyLogoUrl": "<string>",
"employmentType": "<string>",
"location": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"description": "<string>",
"industries": [
"<string>"
]
}
]
}
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}LinkedIn
List the work experience of a LinkedIn profile
List every position on a LinkedIn member’s profile, including roles the full profile leaves out. Each position includes the title, company with its link and logo, employment type, location, dates and description. count sets how many companies come back, each with every position held there; page on with the nextStart from the previous response. Costs 1 credit per request.
POST
/
linkedin
/
get-profile-experience
Bridgly SDK
import { Bridgly } from '@bridgly/sdk';
const client = new Bridgly({ apiKey: process.env.BRIDGLY_API_KEY });
const res = await client.linkedin.getProfileExperience({
publicId: "string",
count: 10,
});
if (res.type === 'success') console.log(res.data);curl --request POST \
--url https://api.bridgly.app/linkedin/get-profile-experience \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"publicId": "<string>",
"start": 4503599627370495,
"count": 10
}
'import requests
url = "https://api.bridgly.app/linkedin/get-profile-experience"
payload = {
"publicId": "<string>",
"start": 4503599627370495,
"count": 10
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({publicId: '<string>', start: 4503599627370495, count: 10})
};
fetch('https://api.bridgly.app/linkedin/get-profile-experience', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridgly.app/linkedin/get-profile-experience",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'publicId' => '<string>',
'start' => 4503599627370495,
'count' => 10
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bridgly.app/linkedin/get-profile-experience"
payload := strings.NewReader("{\n \"publicId\": \"<string>\",\n \"start\": 4503599627370495,\n \"count\": 10\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.bridgly.app/linkedin/get-profile-experience")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"publicId\": \"<string>\",\n \"start\": 4503599627370495,\n \"count\": 10\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridgly.app/linkedin/get-profile-experience")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"publicId\": \"<string>\",\n \"start\": 4503599627370495,\n \"count\": 10\n}"
response = http.request(request)
puts response.read_body{
"timeMs": 123,
"creditsCost": 123,
"data": {
"nextStart": 123,
"experience": [
{
"title": "<string>",
"company": "<string>",
"companyId": "<string>",
"companyUrl": "<string>",
"companyLogoUrl": "<string>",
"employmentType": "<string>",
"location": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"description": "<string>",
"industries": [
"<string>"
]
}
]
}
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Authorizations
A Bridgly API key (bgly_…). Metered endpoints deduct credits from the resolved account.
Body
application/json
The member public identity, or the profile link itself, e.g. "williamhgates" or "https://www.linkedin.com/in/williamhgates".
Minimum string length:
1Number of results to skip. Defaults to 0.
Required range:
0 <= x <= 9007199254740991Number of companies to return (1–100), each with every position held there. Defaults to 10.
Required range:
1 <= x <= 100Was this page helpful?